﻿<%@ Page Title="About Us" Language="C#" MasterPageFile="~/Site.master" AutoEventWireup="true"
    CodeBehind="About.aspx.cs" Inherits="jQueryTreeNodeTemplate.About" %>

<asp:Content ID="HeaderContent" runat="server" ContentPlaceHolderID="HeadContent">
</asp:Content>
<asp:Content ID="BodyContent" runat="server" ContentPlaceHolderID="MainContent">
    <h2>
        About
    </h2>
    <p>
        A brief explanation of what I meant by saying "simple value templating" and "contextual value templating".
    </p>
    <p>
        By default, you can map a different property to the text of each node, however there is no way to let the user know what the value is
        until he selects a certain node and that node's value interacts in some way with another component. In some cases, this might be a preferred option.
    </p><br />
    <p>
        "Simple value templating", used in this context, would mean displaying the node's value along with the node's text by applying a jQuery template on the node.
        I called it simple because, really, just outputting what the value is is the simplest way you can go about it.
    </p><br />
    <p>
        "Contextual value formatting", on the other hand, would be a case in which your choice of a template is based on the value of the node.
        As you can see in the example, instead of outputting the person's favorite color as text, we've chosen to visualise it.
        Also, instead of displaying the person's favorite sport as text, we visualise that as well, in the form of a neat picture.
    </p>
</asp:Content>
